/experimental/retail-media/line-items/{line-item-id}/targets/update
curl --request POST \
--url https://api.criteo.com/experimental/retail-media/line-items/{line-item-id}/targets/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"attributes": {
"bidMultiplier": 123,
"categoryTargetDetails": {
"categoryId": "<string>",
"includeChildren": true
},
"geographyTargetDetails": {
"geoLocationId": "<string>"
},
"manualKeywordTargetDetails": {
"keywordInput": "<string>"
},
"negative": true,
"pageTypeTargetDetails": {}
},
"type": "<string>"
}
]
}
'import requests
url = "https://api.criteo.com/experimental/retail-media/line-items/{line-item-id}/targets/update"
payload = { "data": [
{
"attributes": {
"bidMultiplier": 123,
"categoryTargetDetails": {
"categoryId": "<string>",
"includeChildren": True
},
"geographyTargetDetails": { "geoLocationId": "<string>" },
"manualKeywordTargetDetails": { "keywordInput": "<string>" },
"negative": True,
"pageTypeTargetDetails": {}
},
"type": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
attributes: {
bidMultiplier: 123,
categoryTargetDetails: {categoryId: '<string>', includeChildren: true},
geographyTargetDetails: {geoLocationId: '<string>'},
manualKeywordTargetDetails: {keywordInput: '<string>'},
negative: true,
pageTypeTargetDetails: {}
},
type: '<string>'
}
]
})
};
fetch('https://api.criteo.com/experimental/retail-media/line-items/{line-item-id}/targets/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"approvalStatus": "Unknown",
"bidMultiplier": 123,
"categoryTargetDetails": {
"categoryId": "<string>",
"includeChildren": true
},
"geographyTargetDetails": {
"geoLocationId": "<string>"
},
"manualKeywordTargetDetails": {
"keywordInput": "<string>",
"matchType": "Broad"
},
"negative": true,
"pageTypeTargetDetails": {
"pageType": "Unknown"
},
"targetType": "Unknown"
},
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/experimental/retail-media/line-items/{line-item-id}/targets/update
Updates targets in bulk. The request has PATCH-like semantics: immutable target details identify each target, while mutable fields supplied in the request are updated.
POST
/
experimental
/
retail-media
/
line-items
/
{line-item-id}
/
targets
/
update
/experimental/retail-media/line-items/{line-item-id}/targets/update
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique identifier for the line item.
Body
application/json
Targets to update.
A top-level object that encapsulates a Criteo API request for several value objects.
Show child attributes
Show child attributes
Response
200 - application/json
Success
A top-level object that encapsulates a Criteo API response for several value objects.
Was this page helpful?